Name:           scorched3d
Version:        43.3d
Release:        1%{?dist}
Summary:        Game based loosely on the classic DOS game Scorched Earth
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.scorched3d.co.uk/
# this is
# http://downloads.sourceforge.net/%{name}/Scorched3D-%{version}-src.tar.gz
# with the included glew removed as that contains files under the non free
# SGI Free license B. Instead the system version is used, which has the
# troublesome glew parts replaced
# rm scorched/src/client/GLEXT/glew.c
# rm scorched/src/client/GLEXT/glew.h
# rm scorched/src/client/GLEXT/glxew.h
# rm scorched/src/client/GLEXT/wglew.h
# This isn't needed, so remove it as well as long as we are changing things
# rm -r scorched-dep-osx
Source0:        Scorched3D-%{version}-src-clean.tar.gz
Source1:        %{name}.desktop
# Fake openal-config as openal-soft doesn't have it
Source2:        openal-config
Patch1:         %{name}-syslibs.patch
Patch2:         %{name}-help.patch
Patch3:         %{name}-libpng15.patch
Patch4:         %{name}-gcc47.patch
BuildRequires:  wxGTK-devel SDL_net-devel libGLU-devel
BuildRequires:  expat-devel libvorbis-devel glew-devel fftw-devel libjpeg-devel
BuildRequires:  openal-soft-devel freealut-devel >= 1.1.0-10
BuildRequires:  ImageMagick desktop-file-utils
Requires:       hicolor-icon-theme opengl-games-utils
Requires:       dejavu-sans-fonts dejavu-sans-mono-fonts
# Upstream naming compatibility
Provides:       Scorched3D = %{version}-%{release}

%description
Scorched 3D is a game based on the classic DOS game Scorched Earth
"The Mother Of All Games".  Scorched 3D adds amongst other new
features a 3D island environment and LAN and internet play.  At its
lowest level, Scorched 3D is just an artillery game with two+ tanks
taking turns to destroy opponents in an arena.  Choose the angle,
direction and power of each shot, launch your weapon, and try to blow
up other tanks.  But Scorched 3D can be a lot more complex than that,
if you want it to be.  You can earn money from successful battles and
use it to invest in additional weapons and accessories.  You can play
with up to twenty four other players at a time, mixing computer
players with humans.  There's a variety of changing environmental
conditions and terrains to be dealt with.


%prep
%setup -q -n scorched
rm `find . -name Makefile`
%patch1 -p0 -z .syslibs
%patch2 -p1 -z .help
%patch3 -z .libpng
%patch4 -p1
install -m 755 %{SOURCE2} .
# stop autoxxx from running
touch aclocal.m4
touch configure
touch `find -name Makefile.in`


%build
export OPENAL_CONFIG=$PWD/openal-config
%configure --disable-dependency-tracking --datadir=%{_datadir}/%{name} \
  --with-docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}

# Note that tank2.ico has 48x48 and 32x32 icons embedded in it.
# The 48x48 icon ends up in tank2-0.png
convert data/images/tank2.ico tank2.png

%install
make install DESTDIR=$RPM_BUILD_ROOT
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper
rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

ln -f -s ../../../fonts/dejavu/DejaVuSans.ttf \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/data/fonts/dejavusans.ttf
ln -f -s ../../../fonts/dejavu/DejaVuSansCondensed-Bold.ttf \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/data/fonts/dejavusconbd.ttf
ln -f -s ../../../fonts/dejavu/DejaVuSansMono-Bold.ttf \
  $RPM_BUILD_ROOT%{_datadir}/%{name}/data/fonts/dejavusmobd.ttf

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 tank2-0.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc CHANGELOG
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Sat Jun 30 2012 Bruno Wolff III <bruno@wolff.to> - 43.3d-1
- Lots of minor bugfixes, but incompatible with 43.3.
- 43.3d release announcement: http://www.scorched3d.co.uk/phpBB3/viewtopic.php?t=6594

* Tue Feb 07 2012 Jon Ciesla <limburgher@gmail.com> - 43.3-1
- New upstream.

* Mon Jan 17 2012 Hans de Goede <hdegoede@redhat.com> - 43.2a-7
- Fix building with gcc-4.7

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 43.2a-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 06 2011 Bruno Wolff III <bruno@wolff.to> - 43.2a-5
- Fix broken fix for broken fix

* Sun Nov 06 2011 Bruno Wolff III <bruno@wolff.to> - 43.2a-4
- Fix broken palette fix

* Sun Nov 06 2011 Bruno Wolff III <bruno@wolff.to> - 43.2a-3
- Rebuild for libpng 1.5
- Make sure all direct png struct references are through accessors

* Tue Jun 21 2011 Bruno Wolff III <bruno@wolff.to> - 43.2a-2
- Extract a 48x48 png to use as the icon

* Mon Jun 20 2011 Bruno Wolff III <bruno@wolff.to> - 43.2a-1
- Update to upstream 43.2a
- Release anouncement for 43.2a http://www.scorched3d.co.uk/phpBB3/viewtopic.php?t=6340
- Release anouncement for 43.2 http://www.scorched3d.co.uk/phpBB3/viewtopic.php?t=6330
- Release anouncement for 43.1c http://www.scorched3d.co.uk/phpBB3/viewtopic.php?t=6184
- Release anouncement for 43.1b http://www.scorched3d.co.uk/phpBB3/viewtopic.php?t=6129
- Release anouncement for 43 http://www.scorched3d.co.uk/phpBB3/viewtopic.php?t=6128
- Use included png image instead of converting icon

* Mon Jun 20 2011 ajax@redhat.com - 42.1-6
- Rebuild for new glew soname

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 42.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Dan Horák <dan@danny.cz> - 42.1-4
- rebuilt against wxGTK-2.8.11-2

* Sun Aug 16 2009 Hans de Goede <hdegoede@redhat.com> 42.1-3
- Switch to openal-soft

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 42.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar  8 2009 Hans de Goede <hdegoede@redhat.com> 42.1-1
- New upstream release 42.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Hans de Goede <hdegoede@redhat.com> 42-1
- New upstream release 42

* Tue Jan 20 2009 Hans de Goede <hdegoede@redhat.com> 41.3-5
- Adjust font requires for font rename (rh 480471)

* Sat Dec 27 2008 Hans de Goede <hdegoede@redhat.com> 41.3-4
- Replace included vera font with symlinks to dejavu (rh 477454)

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 41.3-3
- Fix patch fuzz build failure

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 41.3-2
- Autorebuild for GCC 4.3

* Mon Jan 21 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 41.3-1
- New upstream release 41.3
- Rebuild for new glew

* Wed Jan 16 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 41.2-1
- New upstream release 41.2
- No longer uses ode so stop BuildRequiring and linking to it

* Fri Jan 11 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 41.1-2
- Fix compilation with gcc 4.3

* Tue Nov  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 41.1-1
- New upstream release 41.1

* Mon Sep 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1d-6
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Tue Aug 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1d-5
- Rebuild for new expat 2.0

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1d-4
- Update License tag for new Licensing Guidelines compliance

* Wed Apr 18 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1d-3
- Fix build with new ODE, scorched3d tries to force a double build of (its own
  included version of) ODE, however we use the system version which is compiled
  with single precision. With the new ODE the header files throw an #error
  because this causes both dSINGLE and dDOUBLE to be defined. This is fixed by
  patching scorched3d's configure to not add -DdDOUBLE to the CFLAGS

* Wed Dec 20 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1d-2
- Rebuild for new wxGTK 2.8

* Sat Nov 18 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1d-1
- New upstream release 40.1d

* Fri Nov  3 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1c-2
- Add libvorbis-devel BR so that ogg/vorbis support gets build in

* Thu Nov  2 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 40.1c-1
- New upstream release 40.1c
- Drop 64 bit patch (integrated upstream)
- Don't install our data files in /usr/share/games, but in /usr/share
- Some minor specfile cleanups

* Tue Aug 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 40-2
- FE6 Rebuild

* Sun Jul 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 40-1
- New upstream release 40
- Drop many upstreamed patches
- Use system ode library instead of included one

* Thu Feb 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> - 39.1-5
- Patch included apoc mod version 3.1 to the 3.1 version as distributed by
  the ApocHQ servers for a smooth (no download required) experience joining
  apoc-mod using games on the internet. Also not entirely unimportant this
  fixes bz 182166, making the apoc mod actually usuable for local games.

* Mon Feb 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> - 39.1-4
- Bump release and rebuild for new gcc4.1 and glibc.

* Sun Feb 12 2006 <j.w.r.degoede@hhs.nl> - 39.1-3
- fix server crashing with certain landscape types (patch 13)

* Sat Feb 11 2006 <j.w.r.degoede@hhs.nl> - 39.1-2
- upgrade to CVS snapshot of 20050929, as Debian does, but not to
  the newer apoc version as this causes problems playing online (patch 0)
- fix gcc41 compilation (patch 3)
- fix 64 bit compilation (bz 158646) (patch 4)
- fix compile with openal-0.9 (patch 5)
- use htmlview for helpfile viewing instead of hardcoded mozilla,
  run this in background so the game doesn't freeze (patch 6)
- fix all the security issues reported on the fulldisclosure mailinglist:
  http://seclists.org/lists/fulldisclosure/2005/Nov/0079.html
  (bz 161694) (patch 7, 8, 9, 10)
- fix 2 additonal security issues found while fixing the above (patch 11, 12)
- this release also fixes bz 161694

* Sat Oct  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 39.1-1
- 39.1.
- Avoid aclocal >= 1.8 warnings.
- Install icon into icons/hicolor.
- Clean up build dependencies.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 37.2-3
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 37.2-2
- rebuilt

* Mon Aug 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:37.2-0.fdr.1
- Update to 37.2.

* Mon Aug  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.33.9.35-0.fdr.1
- First build.
